Subject: Re: linux-next: net tree build warnings

From: Eric Leblond <[email-masked]>
Date: Thu, 26 Mar 2009 08:50:19 +0100

Hi Stephen,

Le jeudi 26 mars 2009 à 17:37 +1100, Stephen Rothwell a écrit :
> Hi Dave,
> 
> Today's linux-next build (x86_64 allmodconfig) produced these warnings:
> 
> net/bridge/netfilter/ebt_log.c: In function 'ebt_log_init':
> net/bridge/netfilter/ebt_log.c:230: warning: passing argument 2 of 'nf_log_register' discards qualifiers from pointer target type
> net/bridge/netfilter/ebt_log.c: In function 'ebt_log_fini':
> net/bridge/netfilter/ebt_log.c:236: warning: passing argument 1 of 'nf_log_unregister' discards qualifiers from pointer target type
> net/bridge/netfilter/ebt_ulog.c: In function 'ebt_ulog_init':
> net/bridge/netfilter/ebt_ulog.c:317: warning: passing argument 2 of 'nf_log_register' discards qualifiers from pointer target type
> net/bridge/netfilter/ebt_ulog.c: In function 'ebt_ulog_fini':
> net/bridge/netfilter/ebt_ulog.c:327: warning: passing argument 1 of 'nf_log_unregister' discards qualifiers from pointer target type

Thanks a lot for pointing this. I stupidely forgot to build this module
during my testing.

I've made the necessary modifications and a patch fixing this will
follow this mail.

Doing some testing of the ebt_ulog module, I've found some problems. One
of them was the following messages:

sys_init_module: 'ebt_ulog'->init suspiciously returned 1, it should
follow 0/-E convention
sys_init_module: loading module anyway...
Pid: 2334, comm: modprobe Not tainted 2.6.29-rc5edenwall0-00883-g199e57b
#146
Call Trace:
 [<c0441b81>] ? printk+0xf/0x16
 [<c02311af>] sys_init_module+0x107/0x186
 [<c0202cfa>] syscall_call+0x7/0xb

A patch fixing this will also follow.

BR,
-- 
Eric Leblond <[email-masked]>
INL: http://www.inl.fr/
NuFW: http://www.nufw.org/